EndpointsLeagues

Get campaign maps

GET/v2/leagues/{league_id}/campaign/maps

Return the Coworld variants and perks available to campaign cells.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

league_id*League Id

League whose campaign map catalog should be returned.

Match^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
curl -X GET "https://example.com/v2/leagues/string/campaign/maps"
{  "league_id": "string",  "variants": {    "property1": {      "name": "string",      "description": "string"    },    "property2": {      "name": "string",      "description": "string"    }  },  "perks": [    {      "id": "string",      "effect": "string"    }  ],  "max_perks": 2,  "default_perks": [    "string"  ]}